<template>
    <div>
   <v-card
        class="mx-auto pa-10 pb-8 mt-14"
        elevation="8"
        max-width="448"
        rounded="lg"
      >
      <h1 style="text-align: center;">Login</h1>
      <vakidation-errors :validationErrors="errors"/>
        <div class="text-subtitle-1 text-medium-emphasis">Email</div>
  
        <v-text-field
          density="compact"
          placeholder="Email address"
          prepend-inner-icon="mdi-email-outline"
          variant="outlined"
          v-model="email"
        ></v-text-field>
        <div class="text-subtitle-1 text-medium-emphasis d-flex align-center justify-space-between">
          Password
          <a
            class="text-caption text-decoration-none text-blue"
            href="#"
            rel="noopener noreferrer"
            target="_blank"
          >
            Forgot login password?</a>
        </div>
  
        <v-text-field
          :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
          :type="visible ? 'text' : 'password'"
          density="compact"
          placeholder="Enter your password"
          prepend-inner-icon="mdi-lock-outline"
          variant="outlined"
          @click:append-inner="visible = !visible"
          v-model="password"
        ></v-text-field>
  
        <v-btn
          block
          class="mb-6"
          color="blue"
          size="large"
          variant="tonal"
          @click="loginService"
        >
         Login
        </v-btn>
        <v-card-text class="text-center">
          <a
            class="text-blue text-decoration-none"
            href="#"
            rel="noopener noreferrer"
            @click="toRegisterhandler"
          >
            Sign up now <v-icon icon="mdi-chevron-right"></v-icon>
          </a>
        </v-card-text>
      </v-card>
    </div>
  </template>
  <script>
import VakidationErrors from './VakidationErrors.vue'

export default {
    data() {
        return {
            visible: false,
            errors:{},
            username:"",
            password:"",
            email:""
        };
    },
    methods: {
        toRegisterhandler() {
            this.$router.push('/register');
        },
        loginService(e) {
          e.preventDefault
          const user={
            email:this.email,
            password:this.password
          }
           this.$store.dispatch('login', user)
                .then((response) => {
                  this.$router.push({ name: "Home" });
                console.log(response);
            })
                .catch((err) => {
                  this.errors=err.response.data.errors
                console.log(err.response.data);
            });
        }
    },
    components: { VakidationErrors }
}
</script>